package com.yonge.cooleshow.biz.dal.enums.activity;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 活动获奖排名方式
 *
 * @Author: Eric
 * @Data: 2022/3/16 10:19
 */
public enum ActivityRankingMethodEnum implements BaseEnum<String, ActivityRankingMethodEnum> {

    MUSIC_RANKING("单曲排名"),
    TOTAL_SCORE("总分排名"),
    ;
    @EnumValue
    private String code;
    private String name;

    ActivityRankingMethodEnum(String name) {
        this.code = this.name();
        this.name = name;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getName() {
        return name;
    }
}